Page MenuHomePhabricator

neither bureaucrats nor admins can grant the right for "autoreview" or "editor" since 1.34.0-wmf.8.
Closed, ResolvedPublic

Description

In de.wiktionary neither bureaucrats nor admins can grant the right for "autoreview" (passiver Sichter) or "editor" (aktiver Sichter) since the implementation of 1.34.0-wmf.8.

It is quite possible that this will be in de.wikipedia tomorrow as well.

Best regards
Udo T.

Details

Related Gerrit Patches:
operations/mediawiki-config : masterRe-add $wgAddGroups $wgRemoveGroups

Event Timeline

Udo_T created this task.Jun 5 2019, 4:29 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJun 5 2019, 4:29 PM
Udo_T added a comment.Jun 5 2019, 4:33 PM

In de.wikipedia these two rights are assigned to admins only. I think, because every bureaucrat is also an admin.

Maybe, that these righst were formerly also only assigend to admins in de.wiktionary.

Udo T.

Udo_T triaged this task as High priority.Jun 5 2019, 5:59 PM

I changed the priority to "High" because I think its very possible that this will be happen in de.wikipedia (and other wikis?) tomorrow as well.

JJMC89 raised the priority of this task from High to Unbreak Now!.EditedJun 5 2019, 6:35 PM
JJMC89 added a subscriber: JJMC89.

Seems like a deployment blocker so raising to UBN. (Revert or adjust if I'm wrong.)

Restricted Application added a subscriber: Liuxinyu970226. · View Herald TranscriptJun 5 2019, 6:36 PM

Change 514563 had a related patch set uploaded (by Reedy; owner: Reedy):
[operations/mediawiki-config@master] Re-add $wgAddGroups $wgRemoveGroups

https://gerrit.wikimedia.org/r/514563

Change 514563 merged by jenkins-bot:
[operations/mediawiki-config@master] Re-add $wgAddGroups $wgRemoveGroups

https://gerrit.wikimedia.org/r/514563

Mentioned in SAL (#wikimedia-operations) [2019-06-05T19:45:24Z] <reedy@deploy1001> Synchronized wmf-config/flaggedrevs.php: T225115 (duration: 00m 54s)

Udo_T added a comment.Jun 5 2019, 7:54 PM

Hello @Reedy , thank you very much, this problem is now fixed.

Best regards
Udo T.

Udo_T removed a subscriber: Udo_T.Jun 6 2019, 11:13 AM